IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)

Vous êtes nouveau sur Developpez.com ? Créez votre compte ou connectez-vous afin de pouvoir participer !

Vous devez avoir un compte Developpez.com et être connecté pour pouvoir participer aux discussions.

Vous n'avez pas encore de compte Developpez.com ? Créez-en un en quelques instants, c'est entièrement gratuit !

Si vous disposez déjà d'un compte et qu'il est bien activé, connectez-vous à l'aide du formulaire ci-dessous.

Identifiez-vous
Identifiant
Mot de passe
Mot de passe oublié ?
Créer un compte

L'inscription est gratuite et ne vous prendra que quelques instants !

Je m'inscris !

NetBeans 6.0 disponible sous forme de paquets pour Ubuntu

Le , par srvremi

40PARTAGES

0  0 
21/09/2009

Citation Envoyé par srvremi Voir le message
J'ai mis à jour les paquets d'installation pour avoir les version 6.7.1, 6.7 et 6.5 de Netbeans, le tout en français,
- http://bubuntu.net/Installer-Netbeans.html
ou
- http://doc.ubuntu-fr.org/netbeans

@+
Rémi
6/12/2007

Pour information, j'ai développé une série de paquets pour installer Netbeans sous Ubuntu et ses dérivés, disponible pour la 6.0.

Rémi

Une erreur dans cette actualité ? Signalez-le nous !

Avatar de djo.mos
Expert éminent https://www.developpez.com
Le 06/12/2007 à 20:21
Bonjour.
pour le boulot.

Simple curiosité ... J'ai personnellement téléchargé la version linux de netbeans 6.0 (depuis le site officiel) et je l'ai installé sous Ubuntu gutsy, et l'installation s'est passé sans accrocs: un simple double clic et le reste se déroule en mode graphique. Alors la question, sans vouloir déprécier le travail et l'effort que tu as du fournir, est qu'est ce que ces packages peuvent apporter ? Surtout que netbeans n'a pas de dépendances externes (moins une installation Java bien sûr).

0  0 
Avatar de srvremi
Membre éclairé https://www.developpez.com
Le 06/12/2007 à 20:57


  1. L'installation est automatiquement faite dans /opt plutôt que dans /usr/local
  2. Le raccourci vers l'application se crée tout seul
  3. Les fichiers .exe Windows sont supprimés car inutiles
  4. Les mises à jour seront automatiques
  5. Les utilisateurs de Compiz peuvent avoir des fenêtres blanches dans l'installateur car il utilise AWT
  6. Les dépendances sont automatiques : JRE/JDK pour les modules Java et G++ pour le module C/C++


Et de manière subsidiaire, je dirais que le format de paquets respecte le standard d'installation des Debian-Like, à la différence de l'installateur Netbeans.

@+
Rémi
0  0 
Avatar de djo.mos
Expert éminent https://www.developpez.com
Le 06/12/2007 à 22:19
Okey ! Je comprends mieux, merci !

Quelques notes cependant pour répondre aux points que tu as cité:
1. Je préfère installer netbeans dans mon home (ainsi que beaucoup d'autres progs).
2. L'installateur par défaut crée un lien automatiquement dans le bureau et dans le menu Gnome (Applications > Programming).
3. Là tu marques un point !
4. J'ai pas encore essayé les mises à jour.
5. Là aussi tu marques un point ! Perso, j'ai Compiz mais j'ai pas eu de problèmes, par contre, je crois que ce bug provient plutôt de la JVM de Sun. J'en ai souffert le martyr de ce bug, mais depuis que j'ai migré vers IcedTea, je n'ai pas eu de problèmes similaires jusque là. Espérons que cela dure.
6. Je ne fais que du Java sous Linux, donc la JRE/JDK y sont installé d'office ! Mais c'est vrai que c'est plus simple si c'est géré automatiquement.

Bonne continuation
0  0 
Avatar de Valère
Expert confirmé https://www.developpez.com
Le 06/12/2007 à 23:45
Magnifique!

Veux-tu que je poste un billet sur le blog (blog java ou le mien) ou que je demande une annonce sur la page d'accueil?

Je peux contacter Roumen aussi...

Valère
0  0 
Avatar de srvremi
Membre éclairé https://www.developpez.com
Le 07/12/2007 à 9:55
@ valère : fais comme tu le sens, c'est sympa de m'aider à faire connaître mon boulot. Comme le dit djo.mos ce n'est pas une révolution en soit, mais si ça peut aider d'autres personnes, autant éviter qu'on ne soit qu'une poignée à savoir que ça existe

@+
Rémi
0  0 
Avatar de Valère
Expert confirmé https://www.developpez.com
Le 07/12/2007 à 10:03
J'ai déjà une réponse de Roumen (et encore il était en vacances ). Il sont qqu'un qui travaille déjà sur le sujet pour faire rentrer NB6 dans Universe, et sans doute se débrouiller pour qu'il mette à jour les versions précédentes (comme NB5.5.1 remplacait NB5).

Je ferais un petit billet dans la journée.
0  0 
Avatar de djo.mos
Expert éminent https://www.developpez.com
Le 07/12/2007 à 10:04
Citation Envoyé par srvremi Voir le message
@ valère : fais comme tu le sens, c'est sympa de m'aider à faire connaître mon boulot. Comme le dit djo.mos ce n'est pas une révolution en soit, mais si ça peut aider d'autres personnes, autant éviter qu'on ne soit qu'une poignée à savoir que ça existe

@+
Rémi
désolé, ce n'etait pas mon intention. Je t'assure que je suis impressionné par le boulot !
Alors, un grand pour Rémi !
0  0 
Avatar de n!co
Membre éprouvé https://www.developpez.com
Le 08/12/2007 à 16:08
Salut srvremi,
Bonne initiative, ca evite de le téléchargement à la manu, chmod, ...

Par contre tu as oublié les utilisateurs de la version 64bits
Citation Envoyé par apt-get update
http://srvremi.free.fr/ubuntu/dists/gutsy/Release: Unable to find expected entry main/binary-amd64/Packages in Meta-index file (malformed Release file?)
Et si je peux me permettre quelques remarques ! :
- Une dépendence unique sur sun-java-6 me parrait un peu rigide. d'abord parce que java 5 suffit pour utiliser netbeans et que certaines personnes peuvent préférer un jdk non sun ! Une dépendence sur toutes les jdk/jre dispo serait plus souple (exemple sur openoffice-org-base)
- Comme la sugérer djo.mos, le choix de rep d'install ?

Bonus, on pourrait imaginer un package, à ne pas mettre entre toutes les mains, permettant d'automatiser l'installation des dailys build

EDIT: juste pour préciser qu'effectivement le .deb sont bien compatible avec l'archi 64bits, c'est juste le dépot qui ne l'ai pas

En tout grand merci
n!co
0  0 
Avatar de srvremi
Membre éclairé https://www.developpez.com
Le 08/12/2007 à 21:59
Absolument, le paquet fonctionne avec les versions 64 bits, mais mon manque de place sur mon dépôt (espace gratuit chez Free) m'empêche de mettre les version 64 bits

Je suis preneur pour un espace d'hébergement plus important.

@+
Rémi
0  0 
Avatar de n!co
Membre éprouvé https://www.developpez.com
Le 09/12/2007 à 1:39
Citation Envoyé par srvremi Voir le message
Absolument, le paquet fonctionne avec les versions 64 bits, mais mon manque de place sur mon dépôt (espace gratuit chez Free) m'empêche de mettre les version 64 bits
Pour les bibliothèques compatibles 32 et 64, ne serait t'il pas possible de faire tout de même une congif du dépot pour 64, avec des liens symboliques vers les deb 32 ?
0  0